Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_TOKEN_INFO

    java.lang.Object
      iaik.pkcs.pkcs11.wrapper.CK_TOKEN_INFO

public class CK_TOKEN_INFO
extends Object

class CK_TOKEN_INFO provides information about a token.

PKCS#11 structure:

     typedef struct CK_TOKEN_INFO {
       CK_UTF8CHAR label[32];
       CK_UTF8CHAR manufacturerID[32];
       CK_UTF8CHAR model[16];
       CK_CHAR serialNumber[16];
       CK_FLAGS flags;
       CK_ULONG ulMaxSessionCount;
       CK_ULONG ulSessionCount;
       CK_ULONG ulMaxRwSessionCount;
       CK_ULONG ulRwSessionCount;
       CK_ULONG ulMaxPinLen;
       CK_ULONG ulMinPinLen;
       CK_ULONG ulTotalPublicMemory;
       CK_ULONG ulFreePublicMemory;
       CK_ULONG ulTotalPrivateMemory;
       CK_ULONG ulFreePrivateMemory;
       CK_VERSION hardwareVersion;
       CK_VERSION firmwareVersion;
       CK_CHAR utcTime[16];
     } CK_TOKEN_INFO;

Field Summary
`CK_VERSION` | `firmwareVersion` PKCS#11: CK_VERSION firmwareVersion;
`long` | `flags` PKCS#11: CK_FLAGS flags;
`CK_VERSION` | `hardwareVersion` PKCS#11: CK_VERSION hardwareVersion;
`char[]` | `label` must be blank padded and only the first 32 chars will be used PKCS#11: CK_UTF8CHAR label[32];
`char[]` | `manufacturerID` must be blank padded and only the first 32 chars will be used PKCS#11: CK_UTF8CHAR manufacturerID[32];
`char[]` | `model` must be blank padded and only the first 16 chars will be used PKCS#11: CK_UTF8CHAR model[16];
`char[]` | `serialNumber` must be blank padded and only the first 16 chars will be used PKCS#11: CK_CHAR serialNumber[16];
`long` | `ulFreePrivateMemory` PKCS#11: CK_ULONG ulFreePrivateMemory;
`long` | `ulFreePublicMemory` PKCS#11: CK_ULONG ulFreePublicMemory;
`long` | `ulMaxPinLen` PKCS#11: CK_ULONG ulMaxPinLen;
`long` | `ulMaxRwSessionCount` PKCS#11: CK_ULONG ulMaxRwSessionCount;
`long` | `ulMaxSessionCount` PKCS#11: CK_ULONG ulMaxSessionCount;
`long` | `ulMinPinLen` PKCS#11: CK_ULONG ulMinPinLen;
`long` | `ulRwSessionCount` PKCS#11: CK_ULONG ulRwSessionCount;
`long` | `ulSessionCount` PKCS#11: CK_ULONG ulSessionCount;
`long` | `ulTotalPrivateMemory` PKCS#11: CK_ULONG ulTotalPrivateMemory;
`long` | `ulTotalPublicMemory` PKCS#11: CK_ULONG ulTotalPublicMemory;
`char[]` | `utcTime` only the first 16 chars will be used PKCS#11: CK_CHAR utcTime[16];

Constructor Summary
`CK_TOKEN_INFO()`

Method Summary
`String` | `toString()` Returns the string representation of CK_TOKEN_INFO.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### label

    public char[] label

  must be blank padded and only the first 32 chars will be used

  PKCS#11:

         CK_UTF8CHAR label[32];

### manufacturerID

    public char[] manufacturerID

  must be blank padded and only the first 32 chars will be used

  PKCS#11:

         CK_UTF8CHAR manufacturerID[32];

### model

    public char[] model

  must be blank padded and only the first 16 chars will be used

  PKCS#11:

         CK_UTF8CHAR model[16];

### serialNumber

    public char[] serialNumber

  must be blank padded and only the first 16 chars will be used

  PKCS#11:

         CK_CHAR serialNumber[16];

### flags

    public long flags

  PKCS#11:

         CK_FLAGS flags;

### ulMaxSessionCount

    public long ulMaxSessionCount

  PKCS#11:

         CK_ULONG ulMaxSessionCount;

### ulSessionCount

    public long ulSessionCount

  PKCS#11:

         CK_ULONG ulSessionCount;

### ulMaxRwSessionCount

    public long ulMaxRwSessionCount

  PKCS#11:

         CK_ULONG ulMaxRwSessionCount;

### ulRwSessionCount

    public long ulRwSessionCount

  PKCS#11:

         CK_ULONG ulRwSessionCount;

### ulMaxPinLen

    public long ulMaxPinLen

  PKCS#11:

         CK_ULONG ulMaxPinLen;

### ulMinPinLen

    public long ulMinPinLen

  PKCS#11:

         CK_ULONG ulMinPinLen;

### ulTotalPublicMemory

    public long ulTotalPublicMemory

  PKCS#11:

         CK_ULONG ulTotalPublicMemory;

### ulFreePublicMemory

    public long ulFreePublicMemory

  PKCS#11:

         CK_ULONG ulFreePublicMemory;

### ulTotalPrivateMemory

    public long ulTotalPrivateMemory

  PKCS#11:

         CK_ULONG ulTotalPrivateMemory;

### ulFreePrivateMemory

    public long ulFreePrivateMemory

  PKCS#11:

         CK_ULONG ulFreePrivateMemory;

### hardwareVersion

    public CK_VERSION hardwareVersion

  PKCS#11:

         CK_VERSION hardwareVersion;

### firmwareVersion

    public CK_VERSION firmwareVersion

  PKCS#11:

         CK_VERSION firmwareVersion;

### utcTime

    public char[] utcTime

  only the first 16 chars will be used PKCS#11:

         CK_CHAR utcTime[16];

Constructor Detail

### CK_TOKEN_INFO

    public CK_TOKEN_INFO()

Method Detail

### toString

    public String toString()

  Returns the string representation of CK_TOKEN_INFO.

  Returns:
    the string representation of CK_TOKEN_INFO

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.